# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2018-07-27 11:24
from __future__ import unicode_literals

import django.core.files.storage
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('accounts', '0001_initial'),
        ('curriculum', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='assignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=2000)),
                ('description', models.CharField(blank=True, max_length=5000, null=True)),
                ('last_date', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='assignmentFiles',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(storage=django.core.files.storage.FileSystemStorage(location='/media/assignment-files'), upload_to='')),
                ('name', models.CharField(max_length=300)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.staff')),
            ],
        ),
        migrations.AddField(
            model_name='assignment',
            name='files',
            field=models.ManyToManyField(to='assignment.assignmentFiles'),
        ),
        migrations.AddField(
            model_name='assignment',
            name='staff_course',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='curriculum.staff_course'),
        ),
    ]
